--- CMakeLists.txt.orig	2023-06-06 13:26:05.000000000 -0400
+++ CMakeLists.txt	2023-06-06 13:36:32.000000000 -0400
@@ -30,13 +30,27 @@
 include(GNUInstallDirs)
 include(CheckCXXSourceCompiles)
 
+option(WITH_CYTHON "Build lib2geom with Cython enabled" OFF)
+option(WITH_GTK3 "Build lib2geom with GTK3 enabled" OFF)
+
 # Find dependencies
 find_package(Boost 1.60 REQUIRED)
 find_package(DoubleConversion REQUIRED)
 find_package(PkgConfig REQUIRED)
-find_package(Cython)
 find_package(Threads)
+
+if (WITH_CYTHON)
+find_package(Cython)
+else ()
+MESSAGE(STATUS "Cython: DISABLED")
+endif (WITH_CYTHON)
+
+if (WITH_GTK3)
 pkg_check_modules(GTK3 gtk+-3.0)
+else ()
+MESSAGE(STATUS "GTK3: DISABLED")
+endif (WITH_GTK3)
+
 pkg_check_modules(GLIB REQUIRED glib-2.0)
 pkg_check_modules(CAIRO cairo)
 pkg_check_modules(GSL REQUIRED gsl)
